[
    {
        "Id": "94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed",
        "Created": "2025-08-18T18:12:12.5058454Z",
        "Path": "/usr/bin/docker-entrypoint.sh",
        "Args": [
            "server",
            "/data",
            "--console-address",
            ":9001"
        ],
        "State": {
            "Status": "running",
            "Running": true,
            "Paused": false,
            "Restarting": false,
            "OOMKilled": false,
            "Dead": false,
            "Pid": 4048,
            "ExitCode": 0,
            "Error": "",
            "StartedAt": "2025-08-22T21:11:22.513512273Z",
            "FinishedAt": "2025-08-22T21:11:19.787358894Z"
        },
        "Image": "sha256:a98a9d647e700e45c1d3d2e44709f23952a39c199731d84e623eb558fd5501f4",
        "ResolvConfPath": "/var/snap/docker/common/var-lib-docker/containers/94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed/resolv.conf",
        "HostnamePath": "/var/snap/docker/common/var-lib-docker/containers/94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed/hostname",
        "HostsPath": "/var/snap/docker/common/var-lib-docker/containers/94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed/hosts",
        "LogPath": "/var/snap/docker/common/var-lib-docker/containers/94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed/94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed-json.log",
        "Name": "/appflowy-cloud-minio-1",
        "RestartCount": 0,
        "Driver": "overlay2",
        "Platform": "linux",
        "MountLabel": "",
        "ProcessLabel": "",
        "AppArmorProfile": "docker-default",
        "ExecIDs": null,
        "HostConfig": {
            "Binds": null,
            "ContainerIDFile": "",
            "LogConfig": {
                "Type": "json-file",
                "Config": {}
            },
            "NetworkMode": "appflowy-cloud_default",
            "PortBindings": {},
            "RestartPolicy": {
                "Name": "on-failure",
                "MaximumRetryCount": 0
            },
            "AutoRemove": false,
            "VolumeDriver": "",
            "VolumesFrom": null,
            "ConsoleSize": [
                0,
                0
            ],
            "CapAdd": null,
            "CapDrop": null,
            "CgroupnsMode": "private",
            "Dns": [],
            "DnsOptions": [],
            "DnsSearch": [],
            "ExtraHosts": [],
            "GroupAdd": null,
            "IpcMode": "private",
            "Cgroup": "",
            "Links": null,
            "OomScoreAdj": 0,
            "PidMode": "",
            "Privileged": false,
            "PublishAllPorts": false,
            "ReadonlyRootfs": false,
            "SecurityOpt": null,
            "UTSMode": "",
            "UsernsMode": "",
            "ShmSize": 67108864,
            "Runtime": "runc",
            "Isolation": "",
            "CpuShares": 0,
            "Memory": 0,
            "NanoCpus": 0,
            "CgroupParent": "",
            "BlkioWeight": 0,
            "BlkioWeightDevice": null,
            "BlkioDeviceReadBps": null,
            "BlkioDeviceWriteBps": null,
            "BlkioDeviceReadIOps": null,
            "BlkioDeviceWriteIOps": null,
            "CpuPeriod": 0,
            "CpuQuota": 0,
            "CpuRealtimePeriod": 0,
            "CpuRealtimeRuntime": 0,
            "CpusetCpus": "",
            "CpusetMems": "",
            "Devices": null,
            "DeviceCgroupRules": null,
            "DeviceRequests": null,
            "MemoryReservation": 0,
            "MemorySwap": 0,
            "MemorySwappiness": null,
            "OomKillDisable": null,
            "PidsLimit": null,
            "Ulimits": null,
            "CpuCount": 0,
            "CpuPercent": 0,
            "IOMaximumIOps": 0,
            "IOMaximumBandwidth": 0,
            "Mounts": [
                {
                    "Type": "volume",
                    "Source": "appflowy-cloud_minio_data",
                    "Target": "/data",
                    "VolumeOptions": {}
                }
            ],
            "MaskedPaths": [
                "/proc/asound",
                "/proc/acpi",
                "/proc/interrupts",
                "/proc/kcore",
                "/proc/keys",
                "/proc/latency_stats",
                "/proc/timer_list",
                "/proc/timer_stats",
                "/proc/sched_debug",
                "/proc/scsi",
                "/sys/firmware",
                "/sys/devices/virtual/powercap",
                "/sys/devices/system/cpu/cpu0/thermal_throttle",
                "/sys/devices/system/cpu/cpu1/thermal_throttle",
                "/sys/devices/system/cpu/cpu2/thermal_throttle",
                "/sys/devices/system/cpu/cpu3/thermal_throttle"
            ],
            "ReadonlyPaths": [
                "/proc/bus",
                "/proc/fs",
                "/proc/irq",
                "/proc/sys",
                "/proc/sysrq-trigger"
            ]
        },
        "GraphDriver": {
            "Data": {
                "ID": "94e3faba6f61f34951ddbc64327c0e35d7c386b71b40f98430a04603d282f8ed",
                "LowerDir": "/var/snap/docker/common/var-lib-docker/overlay2/6a9d03e7998c86f7a85eb90b5ca3742a315dacee1efcf363c48b32ad9209d21e-init/diff:/var/snap/docker/common/var-lib-docker/overlay2/3e3423c57cf2e092831aa75ad76101fcb85a28f1c8e8bac5959c5427fe0ae85e/diff:/var/snap/docker/common/var-lib-docker/overlay2/13be63738496a9ff4c52e8a4d0a7742f6faf4953fb815561bcc1386ccbc2c1fb/diff:/var/snap/docker/common/var-lib-docker/overlay2/61cfe7b08bb27520547b50aa332107d6aee32037c9a0fca119682993dbe83f77/diff:/var/snap/docker/common/var-lib-docker/overlay2/70abcbcf5290e796cafc897f1c72d4e3dee894e8935ca731f50998e421cbe6ca/diff:/var/snap/docker/common/var-lib-docker/overlay2/623b905479595e8fcd318714377d761a51645f007ce3c8376f248d02d1c244a5/diff:/var/snap/docker/common/var-lib-docker/overlay2/5e725fd046e8dfd5fc64ce86b1ed522f6f4470c1a37784beb06b272d75647033/diff:/var/snap/docker/common/var-lib-docker/overlay2/622e675d31b0ae12bf98a0846685b8390827a24fb0c1378f9b3ebc25f71b7545/diff:/var/snap/docker/common/var-lib-docker/overlay2/0602052e8c249de59809cc8d2a3d85ada6768d7d98fdd9a13c9667c7e7e83bc9/diff:/var/snap/docker/common/var-lib-docker/overlay2/8a76885423fa77a45d6dfa054eef85ca7601cfe3bfd3dd37853012d2caff9cd5/diff",
                "MergedDir": "/var/snap/docker/common/var-lib-docker/overlay2/6a9d03e7998c86f7a85eb90b5ca3742a315dacee1efcf363c48b32ad9209d21e/merged",
                "UpperDir": "/var/snap/docker/common/var-lib-docker/overlay2/6a9d03e7998c86f7a85eb90b5ca3742a315dacee1efcf363c48b32ad9209d21e/diff",
                "WorkDir": "/var/snap/docker/common/var-lib-docker/overlay2/6a9d03e7998c86f7a85eb90b5ca3742a315dacee1efcf363c48b32ad9209d21e/work"
            },
            "Name": "overlay2"
        },
        "Mounts": [
            {
                "Type": "volume",
                "Name": "appflowy-cloud_minio_data",
                "Source": "/var/snap/docker/common/var-lib-docker/volumes/appflowy-cloud_minio_data/_data",
                "Destination": "/data",
                "Driver": "local",
                "Mode": "z",
                "RW": true,
                "Propagation": ""
            }
        ],
        "Config": {
            "Hostname": "94e3faba6f61",
            "Domainname": "",
            "User": "",
            "AttachStdin": false,
            "AttachStdout": true,
            "AttachStderr": true,
            "ExposedPorts": {
                "9000/tcp": {}
            },
            "Tty": false,
            "OpenStdin": false,
            "StdinOnce": false,
            "Env": [
                "MINIO_ROOT_USER=minioadmin",
                "MINIO_ROOT_PASSWORD=minioadmin",
                "MINIO_BROWSER_REDIRECT_URL=https://appflowy-server.pressmess.duckdns.org/minio",
                "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
                "MINIO_ACCESS_KEY_FILE=access_key",
                "MINIO_SECRET_KEY_FILE=secret_key",
                "MINIO_ROOT_USER_FILE=access_key",
                "MINIO_ROOT_PASSWORD_FILE=secret_key",
                "MINIO_KMS_SECRET_KEY_FILE=kms_master_key",
                "MINIO_UPDATE_MINISIGN_PUBKEY=RWTx5Zr1tiHQLwG9keckT0c45M3AGeHD6IvimQHpyRywVWGbP1aVSGav",
                "MINIO_CONFIG_ENV_FILE=config.env",
                "MC_CONFIG_DIR=/tmp/.mc"
            ],
            "Cmd": [
                "server",
                "/data",
                "--console-address",
                ":9001"
            ],
            "Image": "minio/minio",
            "Volumes": {
                "/data": {}
            },
            "WorkingDir": "/",
            "Entrypoint": [
                "/usr/bin/docker-entrypoint.sh"
            ],
            "OnBuild": null,
            "Labels": {
                "architecture": "x86_64",
                "build-date": "2025-07-17T11:29:46",
                "com.docker.compose.config-hash": "dde151bfad8adf0ad7078ba9db3b244022eaa9ed3b9525468d2152c333049b50",
                "com.docker.compose.container-number": "1",
                "com.docker.compose.depends_on": "",
                "com.docker.compose.image": "sha256:a98a9d647e700e45c1d3d2e44709f23952a39c199731d84e623eb558fd5501f4",
                "com.docker.compose.oneoff": "False",
                "com.docker.compose.project": "appflowy-cloud",
                "com.docker.compose.project.config_files": "/home/jon/AppFlowy-Cloud/docker-compose.yml",
                "com.docker.compose.project.working_dir": "/home/jon/AppFlowy-Cloud",
                "com.docker.compose.service": "minio",
                "com.docker.compose.version": "2.33.1",
                "com.redhat.component": "ubi9-micro-container",
                "com.redhat.license_terms": "https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI",
                "description": "MinIO object storage is fundamentally different. Designed for performance and the S3 API, it is 100% open-source. MinIO is ideal for large, private cloud environments with stringent security requirements and delivers mission-critical availability across a diverse range of workloads.",
                "distribution-scope": "public",
                "io.buildah.version": "1.41.0-dev",
                "io.k8s.description": "Very small image which doesn't install the package manager.",
                "io.k8s.display-name": "Red Hat Universal Base Image 9 Micro",
                "io.openshift.expose-services": "",
                "maintainer": "MinIO Inc <dev@min.io>",
                "name": "MinIO",
                "release": "RELEASE.2025-07-23T15-54-02Z",
                "summary": "MinIO is a High Performance Object Storage, API compatible with Amazon S3 cloud storage service.",
                "url": "https://www.redhat.com",
                "vcs-ref": "52e5685a2b36133581f9e47c9e0b896cf3cbffc0",
                "vcs-type": "git",
                "vendor": "MinIO Inc <dev@min.io>",
                "version": "RELEASE.2025-07-23T15-54-02Z"
            }
        },
        "NetworkSettings": {
            "Bridge": "",
            "SandboxID": "150a8a2fe68d010c8d12ee370d00b8ebcc22b19d183ddd4ab71e7121ff96e59e",
            "SandboxKey": "/run/snap.docker/netns/150a8a2fe68d",
            "Ports": {
                "9000/tcp": null
            },
            "HairpinMode": false,
            "LinkLocalIPv6Address": "",
            "LinkLocalIPv6PrefixLen": 0,
            "SecondaryIPAddresses": null,
            "SecondaryIPv6Addresses": null,
            "EndpointID": "",
            "Gateway": "",
            "GlobalIPv6Address": "",
            "GlobalIPv6PrefixLen": 0,
            "IPAddress": "",
            "IPPrefixLen": 0,
            "IPv6Gateway": "",
            "MacAddress": "",
            "Networks": {
                "appflowy-cloud_default": {
                    "IPAMConfig": null,
                    "Links": null,
                    "Aliases": [
                        "appflowy-cloud-minio-1",
                        "minio"
                    ],
                    "MacAddress": "26:7e:62:37:eb:58",
                    "DriverOpts": null,
                    "GwPriority": 0,
                    "NetworkID": "97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c",
                    "EndpointID": "c64791151f8559976db2c4781f8f6b69d4ea2abacdc215b3680af18105e04b4c",
                    "Gateway": "172.20.0.1",
                    "IPAddress": "172.20.0.3",
                    "IPPrefixLen": 16,
                    "IPv6Gateway": "",
                    "GlobalIPv6Address": "",
                    "GlobalIPv6PrefixLen": 0,
                    "DNSNames": [
                        "appflowy-cloud-minio-1",
                        "minio",
                        "94e3faba6f61"
                    ]
                }
            }
        }
    }
]
